#!/usr/bin/perl -w
use constant HEAD =>
  '<?xml version="1.0" encoding="ISO-8859-1"?>' . "\n" .
  "<!-- generated by email.pl - do not modify. -->\n"
  ;

######################################################################
sub writeFile($$$;$)
######################################################################
{
  my $entity = shift;
  my $email = shift;
  my $name = shift;
  my $mailto = shift;

  $mailto = $entity unless(defined($mailto));

  my $file = "generated/url.$entity.xml";
  printf "<!ENTITY url.%s SYSTEM \"../%s\">\n", $entity, $file;

  open(URL, "> $file") || die $!;
  # don't append \n, url entities must not have line feed
  print URL HEAD . "\n";
  printf URL "<ulink url=\"mailto:&mailto.%s;\">%s</ulink>",
    $mailto, $name;
  close(URL);
}

######################################################################
# MAIN
######################################################################
print HEAD . "\n";
while(<>)
{
  if (m/^(\S+)\s+(.*)$/)
  {
    my ( $email, $name ) = ( $1, $2 );

    my $entity = lc($name);
    $entity =~ s/[^a-zA-Z0-9\.]+/./g;

    printf "<!ENTITY mailto.%s \"%s &lt;%s&gt;\">\n",
      $entity, $name, $email;
    writeFile($entity, $email, $name);
    writeFile("full.$entity", $email, "$name &lt;$email&gt;", $entity);
  }
}
