<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns="http://www.w3.org/1999/xhtml"
                version='1.0'
		exclude-result-prefixes="#default"
>

<!-- Updated 30 June 2003 by David Horton

     This file was created by trial and error.
     *  First, the parameters from tldp-html-common.xsl were copied
        into this file.
     *  Secondly, any parameters not found in files in the fo/
        directory of Norman Walsh's docbook-xsl stylesheets were
        removed from this file.  Also any parameters specific to
        HTML output were removed.
     *  Thirdly, parameters in this file were grouped together in
        a somewhat logical fashion and comments were added.
-->


<!-- $Id: ldp-print.xsl,v 1.1 2001/07/31 13:50:51 dyork Exp $  -->

<!-- Adjust the following path if the tldp*.xsl stylesheets are not
     installed in the same directory as Norman Walsh's XSL stylesheets. -->
<xsl:import href="docbook.xsl"/>


<!-- Customized parameters and templates go here. -->

<!-- 

*** Use of Graphics ***

 -->

<!-- Should graphics be used for admonitions (notes, warnings)? 0 or 1 -->
<xsl:param name="admon.graphics" select="0"/>

<!-- If using admon graphics (1 above), what is path to graphics? 
     Should be the path relative to your document and MUST end with
     a trailing slash.  Also, this parameter needs to be on a 
     single line. -->
<xsl:param name="admon.graphics.path">images/</xsl:param>

<!-- Note: the default extension for graphics is .png unless the
     following line is uncommented and .ext is replaced with the 
     desired extension. -->
<!-- <xsl:param name="graphic.default.extension" select="'.ext'"/> -->


<!--

*** Chapter and Section Numbering ***

-->

<!-- Should chapters be labeled? 0 or 1 -->
<xsl:param name="chapter.autolabel" select="1"/>

<!-- Should sections be labeled? 0 or 1 -->
<xsl:param name="section.autolabel" select="1"/>

<!-- Related to section labels, should those labels include the chapter
     number in them (i.e., 1.1, 1.2, 1.3, 1.4 )-->
<xsl:param name="section.label.includes.component.label" select="1"/>

<!-- To what depth (in sections) should the TOC go? -->
<xsl:param name="toc.section.depth" select="2"/>


<!--

*** Misc ***

-->

<!-- Make funcsynopsis look pretty -->
<xsl:param name="funcsynopsis.decoration" select="1"/>

<!-- generate-book-titlepage -->

<!-- generate-article-titlepage -->

<!-- Create bookmarks in .PDF files -->
<xsl:param name="fop.extensions" select="1"/>

<!-- Shade Verbatim Sections such as programlisting and screen -->
<xsl:param name="shade.verbatim" select="1"/>

<!-- NOT IN LDP.DSL. Format Q and A labels. -->

<xsl:template match="question" mode="label.markup">
  <xsl:text>Q</xsl:text>
</xsl:template>

<xsl:template match="answer" mode="label.markup">
  <xsl:text>A</xsl:text>
</xsl:template>


</xsl:stylesheet>
