#!/bin/sh
# 2003-11-04
# 2003-11-08 Adapted to XSLT

# the local directory
public_html=${HOME}/public_html

# the remote archive
master=http://tux.bartolich.at/at.linux-FAQ/archive/

#
# no user serviceable parts down below
#
format="+%Y-%m-%d"
today=${1:-$( date ${format} )}
yesterday=$( date ${format} -d "yesterday" )
base_name=at.linux-FAQ
base_dir=${public_html}/${base_name}
archive_dir=${base_dir}/archive

function one_day()
{
  local today=$1
  local html=${base_name}-${today}.tar.gz

  if [ ! -d "${archive_dir}" ]; then
    echo "Archive directory does not exist: ${archive_dir}"
    exit -1
  fi
  if [ -e ${archive_dir}/${html} ]; then
    echo "Nothing to do."
    return 0
  fi
  cd "${archive_dir}" || return 1
  wget -c ${master}/${html}
  [ -e "${html}" ] || return 2
  cd ${base_dir} || return 3

  rm -rf docbook etc generated html ldp_* text
  tar zxf ${archive_dir}/${html}
  return 0
}

one_day ${today} || one_day ${yesterday} 
